Bug 1781415 - click "Classic UI" from prometheus experimental React UI returns an empty body
Summary: click "Classic UI" from prometheus experimental React UI returns an empty body
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.4.0
Assignee: Simon Pasquier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1782224
TreeView+ depends on / blocked
 
Reported: 2019-12-10 00:27 UTC by Junqi Zhao
Modified: 2020-05-04 11:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Upstream Prometheus introduced a new experimental user interface which coexists with the default user interface but it hasn't reach the same level of testing and stability than the default interface. Consequence: There is a link in the user interface to switch back and forth between the 2 interfaces. Switching from the experimental UI to the default one returns an empty page. Fix: the link to the experimental UI has been hidden. Result: it isn't possible anymore to access the experimental interface.
Clone Of:
: 1782224 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:19:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
Before click "Classic UI" (127.74 KB, image/png)
2019-12-10 00:29 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift prometheus pull 41 0 None closed web/ui: hide the link to the new React UI 2020-10-29 14:23:49 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:20:10 UTC

Comment 1 Junqi Zhao 2019-12-10 00:29:19 UTC
Created attachment 1643432 [details]
Before click "Classic UI"

Comment 8 errata-xmlrpc 2020-05-04 11:19:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.